Package Details: gns3-server 2.2.47-1

Git Clone URL: https://aur.archlinux.org/gns3-server.git (read-only, click to copy)
Package Base: gns3-server
Description: GNS3 network simulator, Server package
Upstream URL: https://github.com/GNS3/gns3-server
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 76
Popularity: 0.44
First Submitted: 2014-05-13 17:40 (UTC)
Last Updated: 2024-06-05 16:42 (UTC)

Dependencies (20)

Required by (2)

Sources (3)

Latest Comments

1 2 3 4 5 6 .. 17 Next › Last »

king007 commented on 2023-06-22 10:20 (UTC) (edited on 2023-06-22 12:51 (UTC) by king007)

Unable to install gns3-server with the following error while gns3-gui has installed fine.

    ----------------
    Building gns3-server...
    ==> Making package: gns3-server 2.2.40.1-1 (Thu 22 Jun 2023 03:49:17 PM IST)
    ==> Checking runtime dependencies...
    ==> Checking buildtime dependencies...
    ==> Retrieving sources...
      -> Found gns3-server-2.2.40.1.tar.gz
      -> Found gns3-server@.service
      -> Found fix_requirements_for_Arch.diff
    ==> Validating source files with sha256sums...
        gns3-server-2.2.40.1.tar.gz ... Passed
        gns3-server@.service ... Passed
        fix_requirements_for_Arch.diff ... FAILED
    ==> ERROR: One or more files did not pass the validity check!
    Failed to build gns3-server
    ---------------------------------------

nickoe commented on 2023-02-17 21:21 (UTC) (edited on 2023-02-18 09:42 (UTC) by nickoe)

Hello. I am completely new to gns3. Should ubridge be made a dependency to gns3-server or gns3-gui?

When I try to add the cloud in the gns3-gui I get an error complaining about ubridge. Installing the aur/ubridge appears to resolve that issue.

Similarly dynamips is probably also a good idea to add as dependency

mousse commented on 2022-10-26 09:38 (UTC) (edited on 2022-10-26 09:48 (UTC) by mousse)

EDIT: Fixed it by downgrading python-charset-normalizer to 2.1.1-1

Hi, I get an error when I tried to start gns3-server@user service, running gns3server outputs:

Traceback (most recent call last):
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 581, in _build_master
        ws.require(__requires__)
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 909, in require
        needed = self.resolve(parse_requirements(requirements))
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 800, in resolve
        raise VersionConflict(dist, req).with_context(dependent_req)
    pkg_resources.ContextualVersionConflict: (charset-normalizer 3.0.0 (/usr/lib/python3.10/site-packages), Requirement.parse('charset-normalizer<3.0,>=2.0'), {'aiohttp'})

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/bin/gns3server", line 33, in <module>
        sys.exit(load_entry_point('gns3-server==2.2.34', 'console_scripts', 'gns3server')())
    File "/usr/bin/gns3server", line 25, in importlib_load_entry_point
        return next(matches).load()
    File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 171, in load
        module = import_module(match.group('module'))
    File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
    File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
    File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
    File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
    File "<frozen importlib._bootstrap_external>", line 883, in exec_module
    File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
    File "/usr/lib/python3.10/site-packages/gns3server/main.py", line 29, in <module>
        import gns3server.utils.get_resource
    File "/usr/lib/python3.10/site-packages/gns3server/utils/get_resource.py", line 19, in <module>
        import pkg_resources
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3260, in <module>
        def _initialize_master_working_set():
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
        f(*args, **kwargs)
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3272, in _initialize_master_working_set
        working_set = WorkingSet._build_master()
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 583, in _build_master
        return cls._build_from_requirements(__requires__)
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
        dists = ws.resolve(reqs, Environment())
    File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 795, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'charset-normalizer<3.0,>=2.0' distribution was not found and is required by aiohttp

buzo commented on 2022-10-18 16:08 (UTC)

jsonschema requirement should be fixed now – I hope it works with the newer version, too.

3Jl0y_PYCCKUi commented on 2022-10-10 15:07 (UTC)

The service does not start with python-jsonschema from the arch linux repositories, it might solve the problem by creating a separate python-jsonschema package for gns3, for example alpine did so https://pkgs.alpinelinux.org/package/v3.13/community/x86_64/py3-jsonschema-gns3

I just built this version of the python-jsonschema package and everything worked, with no modifications except updpkgsums

33Fraise33 commented on 2021-12-16 16:09 (UTC) (edited on 2022-01-06 12:19 (UTC) by 33Fraise33)

I actually have the same issue as @jpbd. What do yo mean with rebuild?

I have removed the package and reinstalled it but with the same result.

EDIT: rebuilding means removing the aur helper cache if you have that and reinstalling. That fixed it for me indeed.

zbe commented on 2021-12-14 07:15 (UTC)

@jpbd, rebuild gns3-server

jpbd commented on 2021-12-14 07:01 (UTC)

@buzo python-sentry_sdk dependency was updated to python-sentry_sdk-1.5.1-1

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 33, in <module>
    sys.exit(load_entry_point('gns3-server==2.2.27', 'console_scripts', 'gns3server')())
  File "/usr/bin/gns3server", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 919, in distribution
    return Distribution.from_name(distribution_name)
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 518, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for gns3-server

buzo commented on 2021-12-01 16:35 (UTC)

s13g3lb4um: Thanks. I've patched the requirements to allow async-timeout>=3.0.1 but aiohttp>=3.7.4 was already there, so that should have worked already.

s13g3lb4um commented on 2021-11-30 07:29 (UTC)

the initial setup fails for me, this installed aiohttp==3.8.1 and async-timeout==4.0.1, but this package require async-timeout==3.0.1.

i unninstall aiohttp and async-timeout, after i install aiohttp==3.7.4 and async-timeout==3.0.1 and this works.